Package org.apache.maven.scm.provider.cvslib.cvsexe.command.remove

## Class CvsExeRemoveCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.remove.AbstractRemoveCommand
    - - org.apache.maven.scm.provider.cvslib.command.remove.AbstractCvsRemoveCommand
      - - org.apache.maven.scm.provider.cvslib.cvsexe.command.remove.CvsExeRemoveCommand

All Implemented Interfaces:
  `Command`, `CvsCommand`

    public class CvsExeRemoveCommand
    extends AbstractCvsRemoveCommand

Author:
  Emmanuel Venisse, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`CvsExeRemoveCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected RemoveScmResult` `executeCvsCommand​(org.codehaus.plexus.util.cli.Commandline cl, java.util.List<ScmFile> removedFiles)`

### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.remove.AbstractCvsRemoveCommand

`executeRemoveCommand`

### Methods inherited from class org.apache.maven.scm.command.remove.AbstractRemoveCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### CvsExeRemoveCommand

    public CvsExeRemoveCommand()

### Method Detail

#### executeCvsCommand

    protected RemoveScmResult executeCvsCommand​(org.codehaus.plexus.util.cli.Commandline cl,
                                                java.util.List<ScmFile> removedFiles)
                                         throws ScmException

Specified by:
  `executeCvsCommand` in class `AbstractCvsRemoveCommand`
Throws:
  `ScmException`